/***************************************************************************\
*                                                                           *
* File: dbg_log.h                                                           *
*                                                                           *
* Desc: Header file for dynamic memory management log functions.            *
*                                                                           *
* Vers: 1.00    Jim Roberts                                                 *
*                                                                           *
\***************************************************************************/

#ifndef DEBUG_MEM_LOG
#define DEBUG_MEM_LOG

/***************************************************************************\
*          P r i v a t e   F u n c t i o n   P r o t o t y p e s            *
\***************************************************************************/

extern void       log_error        ( Error_Code );
extern void       log_ptr_return   ( void ptr_t * );
extern void       log_external     ( MM_Function, void ptr_t *, size_t );
extern void       log_internal     ( MM_Function, void ptr_t *, size_t );
extern void       log_function     ( MM_Function, void ptr_t *, size_t );

#endif /* DEBUG_MEM_LOG */

/* End of File */